<nz-card>
  <div nz-row nzGutter="24">
    <div nz-col nzXs="24" nzSm="24" nzLg="8" style="border-right: 1px solid lightgrey">
      <h3 style="text-align: center">
        {{ "Notification.Category.Title" | translate }}
      </h3>
      <nz-divider></nz-divider>

      <ul
        nz-list
        [nzDataSource]="categories"
        nzBordered
        nzSize="large"
        [nzLoading]="isLoading"
      >
        <li
          nz-list-item
          *ngFor="let item of categories"
          (click)="loadData(item.id)"
          nzNoFlex
        >
          <ul nz-list-item-actions>
            <nz-list-item-action>
              <nz-tag [nzColor]="'green'"
                >{{ item.unreadCount }} / {{ item.totalCount }}</nz-tag
              >
            </nz-list-item-action>
          </ul>
          {{ item.name | translate }}
        </li>
      </ul>
    </div>
    <div nz-col nzXs="24" nzSm="24" nzLg="16">
      <h3 style="text-align: center">{{ "Notification.Title" | translate }}</h3>
      <nz-divider></nz-divider>

      <nz-list nzItemLayout="horizontal" [nzLoading]="isLoading">
        <nz-list-item *ngFor="let item of notifications">
          <nz-list-item-meta [nzDescription]="notificationTitle">
            <nz-list-item-meta-title>
              <h4>
                <span
                  [innerHtml]="item.type.name | translate: item.payload"
                ></span>
              </h4>
            </nz-list-item-meta-title>
            <ng-template #notificationTitle>
              <i nz-icon nzType="clock-circle" nzTheme="outline"></i>
              {{ item.createdOn }}
            </ng-template>
          </nz-list-item-meta>
          <ul nz-list-item-actions>
            <nz-list-item-action>
              <span nz-icon style="color: red"  nzType="delete" nzTheme="outline"></span>
            </nz-list-item-action>
          </ul>
        </nz-list-item>
        <div *ngIf="notifications.length === 0" style="text-align: center">
          <i class="fas fa-inbox fa-5x"></i>
          <div style="margin-top: 20px">
            {{ "Notification.NoNotifications" | translate }}
          </div>
        </div>
      </nz-list>
    </div>
  </div>
</nz-card>
